SoulFire LogoSoulFire

Get server metrics

Returns server-level system metrics (CPU, memory, threads, GC, aggregate bots). Supports incremental fetching via the "since" parameter.

GET
/v1/server/metrics

Returns server-level system metrics (CPU, memory, threads, GC, aggregate bots). Supports incremental fetching via the "since" parameter.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Query Parameters

since?|

If set, only return snapshots taken after this timestamp. Used for incremental fetching to reduce payload size.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/server/metrics"
{  "snapshots": [    {      "timestamp": "2019-08-24T14:15:22Z",      "processCpuLoad": 0.1,      "systemCpuLoad": 0.1,      "heapUsedBytes": "string",      "heapCommittedBytes": "string",      "heapMaxBytes": "string",      "nonHeapUsedBytes": "string",      "threadCount": 0,      "daemonThreadCount": 0,      "gcCollectionCount": "string",      "gcCollectionTimeMs": "string",      "uptimeMs": "string",      "availableProcessors": 0,      "totalBotsOnline": 0,      "totalBotsTotal": 0,      "totalBotsDesired": 0,      "instancesWithDesiredBots": 0,      "totalBotsStarting": 0,      "totalBotsRetrying": 0,      "totalBotsFailed": 0    }  ]}

How is this page?